# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(Getopt/Long.pm) perl(HTTP/Status.pm) perl(IO/Dir.pm) perl(IO/File.pm) perl(Image/Size.pm) perl(LWP.pm) perl(LWP/Simple.pm) perl(URI.pm) perl(URI/Escape.pm) perl(WWW/Google/Images.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name WWW-ImageSpool
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Cache images of interest from the web.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CR/CRAKRJACK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
When A WWW::ImageSpool object's run() method is called, it randomly picks keywords
out of a chosen dictionary file and attempts to download images off of the
internet by doing searches on these keywords. (Currently only a Google Image
Search is done, via Guillaume Rousse's WWW::Google::Images module, but the
internals have been set up to make it easy to hook into other engines in the future.)
Images are stored in the specified directory. If the directory grows beyond
the maximum size, the oldest files in the directory are deleted.

The intended purpose behind this module is to supply images on demand for any
piece of software that wants abstract images, such as screensavers or
webpage generators or voice synthesizers (wouldn't it be cool if a voice
synthesizer extracted all the popular nouns out of a book and scrolled by
pertanent images as it read to you?)

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%perl_vendor_privlib/W*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

